Subject: Re: [patch 0/6] ps3vram driver patches

From: Arnd Bergmann <[email-masked]>
Date: Wed, 7 Jan 2009 20:53:05 +0100

On Wednesday 07 January 2009, Geoff Levand wrote:

> Geert and I were discussing actually removing the direct write to the XDR
> memory, and so the need for that ioremap, as the mapping is just used in
> ps3vram_erase(), which seems could be removed.

Ah, I see. I also forgot to mention that the ioremap_flags change should
only be done for actual memory regions, but *not* for memory mapped I/O
registers.

> I want to get it converted to a block device, and I will work towards
> that, but it will take some time. =A0As it is, it is very useful for typi=
cal
> systems that are running full desktops like gmome or KDE and do a lot of
> swapping. =A0Many of the distros now use it, and users want it.

Yes, fine by me.

	Arnd <><